﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace scrolLabelsDataChart
{
    public class SimpleDataCollection : INotifyPropertyChanged
    {
        private double pos;
        public double Pos
        {
            get 
            {
                return pos;
            }
            set
            {
                pos = value;
                if (PropertyChanged != null)
                {
                    PropertyChanged(this, new PropertyChangedEventArgs("Pos"));
                }
            }
        }

        private double oldpos;
        public double OldPos
        {
            get
            {
                return oldpos;
            }
            set
            {
                oldpos = value;
                if (PropertyChanged != null)
                {
                    PropertyChanged(this, new PropertyChangedEventArgs("OldPos"));
                }
            }
        }
        public ObservableCollection<SimpleDataPoint> points{set;get;}
        private double size;
        public double Size
        {
            get
            {
                return size;
            }
            set
            {
                size = value;
                if (PropertyChanged != null)
                {
                    PropertyChanged(this, new PropertyChangedEventArgs("Size"));
                }
            }
        }

        private double oldsize;
        public double OldSize
        {
            get
            {
                return oldsize;
            }
            set
            {
                oldsize = value;
                if (PropertyChanged != null)
                {
                    PropertyChanged(this, new PropertyChangedEventArgs("OldSize"));
                }
            }
        }
        public int dataCount;
       
        public SimpleDataCollection()
        {
            points = new ObservableCollection<SimpleDataPoint>();
            points.Add(new SimpleDataPoint() { Label = "1", Value = 3.0 });
            points.Add(new SimpleDataPoint() { Label = "2", Value = 2.0 });
            points.Add(new SimpleDataPoint() { Label = "3", Value = 3.0 });
            points.Add(new SimpleDataPoint() { Label = "4", Value = 4.0 });
            points.Add(new SimpleDataPoint() { Label = "5", Value = 5.0 });
            points.Add(new SimpleDataPoint() { Label = "6", Value = 6.0 });
            points.Add(new SimpleDataPoint() { Label = "7", Value = 5.0 });
            dataCount = 7;
            Pos = 1 - (double)5/ dataCount;
            Size = (double)5/ dataCount;
            OldPos = 1 - (double)5/ dataCount;
            OldSize = (double)5/ dataCount;
        }
        public void addData(int i)
        {
            points.Add(new SimpleDataPoint() { Label = i.ToString(), Value = i });
            dataCount++;
            OldPos = Pos;
            OldSize = Size;
            Size = (double)5 / dataCount;
            Pos = 1- (double)5 / dataCount;
           
        }



        public event PropertyChangedEventHandler PropertyChanged;


    }
    public class Slider
    {
        public double pos { set; get; }
        public double oldpos { set; get; }
        public Slider() { }
    }
    /// <summary>
    /// Simple storage class for pair of string and double value
    /// </summary>
    public class SimpleDataPoint
    {
        public double Value { get; set; }
        public string Label { get; set; }
    }
}
